NX Open C++ Reference Guide
|
Progressive Die Wizard builder to design forming punch and die insert <br> To create a new instance of this class, use @link Tooling::FormingInsertCollection::CreateFormingInsertBuilder Tooling::FormingInsertCollection::CreateFormingInsertBuilder @endlink <br>
Default values. More...
Public Types | |
enum | BlankPositions { BlankPositionsPunchPlate, BlankPositionsStripperPlate, BlankPositionsDiePlate } |
Specifies the blank position. More... | |
enum | BlankTypes { BlankTypesStandard, BlankTypesUserDefined } |
Specifies the blank type. More... | |
enum | DesignOptions { DesignOptionsFormingPunch, DesignOptionsFormingDie } |
Specifies the design type. More... | |
enum | ParentTypes { ParentTypesControl, ParentTypesDieBase, ParentTypesSubDie, ParentTypesDie } |
Specifies the parent part type. More... | |
Public Member Functions | |
double | AngleToleranceValue () |
Returns the tangent edge angle tolerance value of forming region. | |
NXOpen::Tooling::FormingInsertBuilder::BlankPositions | BlankPosition () |
Returns the blank position in punch plate or stripper plate. | |
NXOpen::Section * | BlankProfile () |
Returns the blank profile to extrude the punch or die. | |
NXOpen::Tooling::FormingInsertBuilder::BlankTypes | BlankType () |
Returns the blank type for punch or die. | |
double | BottomPlateClearance () |
Returns the clearance value of bottom backing plate . | |
NXOpen::ScCollector * | BoundaryFaces () |
Returns the boundary faces of forming region. | |
NXOpen::TaggedObject * | CreateNewComponent (NXOpen::TaggedObject *parentTag, const NXOpen::Point3d &origin) |
Create new component. | |
void | DeletePunchOrDieComponent () |
The action to delete the selected punch or die component Created in NX7.5.0. | |
NXOpen::Tooling::FormingInsertBuilder::DesignOptions | DesignOption () |
Returns the design option to design punch or die. | |
double | DiePlateClearance () |
Returns the clearance value of die plate. | |
void | ExtractFormingRegion () |
Extract forming region. | |
NXOpen::Expression * | HeightValue () |
Returns the height value of blank. | |
NXOpen::Expression * | LowerValue () |
Returns the lower value of blank. | |
NXOpen::Tooling::FormingInsertBuilder::ParentTypes | ParentPart () |
Returns the parent part to create blank. | |
NXString | ParentPartName () |
Returns the parent part name to create blank. | |
NXOpen::SelectBody * | PunchOrDieToEdit () |
Returns the punch or die to edit Created in NX7.5.0. | |
double | PunchPlateClearance () |
Returns the clearance value of punch plate . | |
bool | RenameComponent () |
Returns the option whether rename component. | |
bool | ReverseDirection () |
Returns the option to reverse trim direction. | |
void | ReverseTrimDirection () |
Reverse trim direction. | |
bool | SameWithPlate () |
Returns the punch same with plate Created in NX7.5.0. | |
NXOpen::ScCollector * | SeedFace () |
Returns the seed face of forming region. | |
NXOpen::ScCollector * | SelectFormingFaces () |
Returns the forming faces of forming region. | |
void | SetAngleToleranceValue (double angleToleranceValue) |
Sets the tangent edge angle tolerance value of forming region. | |
void | SetBlankPosition (NXOpen::Tooling::FormingInsertBuilder::BlankPositions blankPosition) |
Sets the blank position in punch plate or stripper plate. | |
void | SetBlankType (NXOpen::Tooling::FormingInsertBuilder::BlankTypes blankType) |
Sets the blank type for punch or die. | |
void | SetBottomPlateClearance (double bottomPlateClr) |
Sets the clearance value of bottom backing plate . | |
void | SetDesignOption (NXOpen::Tooling::FormingInsertBuilder::DesignOptions designOption) |
Sets the design option to design punch or die. | |
void | SetDiePlateClearance (double diePlateClr) |
Sets the clearance value of die plate. | |
void | SetParentPart (NXOpen::Tooling::FormingInsertBuilder::ParentTypes parentPart) |
Sets the parent part to create blank. | |
void | SetParentPartName (const NXString &parentPart) |
Sets the parent part name to create blank. | |
void | SetParentPartName (const char *parentPart) |
Sets the parent part name to create blank. | |
void | SetPunchPlateClearance (double punchPlateClr) |
Sets the clearance value of punch plate . | |
void | SetRenameComponent (bool renameComponent) |
Sets the option whether rename component. | |
void | SetReverseDirection (bool reverseDirection) |
Sets the option to reverse trim direction. | |
void | SetSameWithPlate (bool sameWithPlate) |
Sets the punch same with plate Created in NX7.5.0. | |
void | SetStripperPlateClearance (double stripperPlateClr) |
Sets the option to use the stripper plate clearance. | |
void | SetTangentEdgeAngle (bool tangentEdgeAngle) |
Sets the tangent edge angle of forming region. | |
void | SetTraverseInteriorEdges (bool traverseInteriorEdges) |
Sets the indication to traverse interior edges of forming region. | |
void | SetUseBottomPlateClearance (bool useBPClearance) |
Sets the option to use bottom backing plate clearance. | |
void | SetUseDiePlateClearance (bool useDPClearance) |
Sets the option to use die plate clearance. | |
void | SetUsePunchPlateClearance (bool usePPClearance) |
Sets the option to use punch plate clearance. | |
void | SetUseStripperPlateClearance (bool useSPClearance) |
Sets the option to use stripper plate clearance. | |
double | StripperPlateClearance () |
Returns the option to use the stripper plate clearance. | |
bool | TangentEdgeAngle () |
Returns the tangent edge angle of forming region. | |
bool | TraverseInteriorEdges () |
Returns the indication to traverse interior edges of forming region. | |
bool | UseBottomPlateClearance () |
Returns the option to use bottom backing plate clearance. | |
bool | UseDiePlateClearance () |
Returns the option to use die plate clearance. | |
bool | UsePunchPlateClearance () |
Returns the option to use punch plate clearance. | |
bool | UseStripperPlateClearance () |
Returns the option to use stripper plate clearance. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Progressive Die Wizard builder to design forming punch and die insert <br> To create a new instance of this class, use @link Tooling::FormingInsertCollection::CreateFormingInsertBuilder Tooling::FormingInsertCollection::CreateFormingInsertBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleToleranceValue |
45 |
BlankPosition |
PunchPlate |
BlankType |
Standard |
BottomPlateClearance |
0 |
DesignOption |
FormingPunch |
DiePlateClearance |
0 |
HeightValue.Value |
0 (millimeters part), 0 (inches part) |
ParentPart |
DieBase |
PunchPlateClearance |
0 |
SameWithPlate |
0 |
StripperPlateClearance |
0 |
TangentEdgeAngle |
0 |
TraverseInteriorEdges |
0 |
UseBottomPlateClearance |
0 |
UseDiePlateClearance |
0 |
UsePunchPlateClearance |
0 |
UseStripperPlateClearance |
0 |
Created in NX7.5.0.
double NXOpen::Tooling::FormingInsertBuilder::AngleToleranceValue | ( | ) |
Returns the tangent edge angle tolerance value of forming region.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::FormingInsertBuilder::BlankPositions NXOpen::Tooling::FormingInsertBuilder::BlankPosition | ( | ) |
Returns the blank position in punch plate or stripper plate.
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::FormingInsertBuilder::BlankProfile | ( | ) |
Returns the blank profile to extrude the punch or die.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::FormingInsertBuilder::BlankTypes NXOpen::Tooling::FormingInsertBuilder::BlankType | ( | ) |
Returns the blank type for punch or die.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::FormingInsertBuilder::BottomPlateClearance | ( | ) |
Returns the clearance value of bottom backing plate .
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::FormingInsertBuilder::BoundaryFaces | ( | ) |
Returns the boundary faces of forming region.
Created in NX7.5.0.
License requirements : None
NXOpen::TaggedObject* NXOpen::Tooling::FormingInsertBuilder::CreateNewComponent | ( | NXOpen::TaggedObject * | parentTag, |
const NXOpen::Point3d & | origin | ||
) |
Create new component.
parentTag | the parent part |
origin | the origin point to add |
void NXOpen::Tooling::FormingInsertBuilder::DeletePunchOrDieComponent | ( | ) |
The action to delete the selected punch or die component
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::FormingInsertBuilder::DesignOptions NXOpen::Tooling::FormingInsertBuilder::DesignOption | ( | ) |
Returns the design option to design punch or die.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::FormingInsertBuilder::DiePlateClearance | ( | ) |
Returns the clearance value of die plate.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::FormingInsertBuilder::ExtractFormingRegion | ( | ) |
Extract forming region.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::FormingInsertBuilder::HeightValue | ( | ) |
Returns the height value of blank.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::FormingInsertBuilder::LowerValue | ( | ) |
Returns the lower value of blank.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::FormingInsertBuilder::ParentTypes NXOpen::Tooling::FormingInsertBuilder::ParentPart | ( | ) |
Returns the parent part to create blank.
Created in NX7.5.0.
License requirements : None
NXString NXOpen::Tooling::FormingInsertBuilder::ParentPartName | ( | ) |
Returns the parent part name to create blank.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Tooling::FormingInsertBuilder::PunchOrDieToEdit | ( | ) |
Returns the punch or die to edit
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::FormingInsertBuilder::PunchPlateClearance | ( | ) |
Returns the clearance value of punch plate .
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::RenameComponent | ( | ) |
Returns the option whether rename component.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::ReverseDirection | ( | ) |
Returns the option to reverse trim direction.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::FormingInsertBuilder::ReverseTrimDirection | ( | ) |
Reverse trim direction.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::SameWithPlate | ( | ) |
Returns the punch same with plate
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::FormingInsertBuilder::SeedFace | ( | ) |
Returns the seed face of forming region.
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::FormingInsertBuilder::SelectFormingFaces | ( | ) |
Returns the forming faces of forming region.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::FormingInsertBuilder::SetAngleToleranceValue | ( | double | angleToleranceValue | ) |
Sets the tangent edge angle tolerance value of forming region.
Created in NX7.5.0.
License requirements : None
angleToleranceValue | angletolerancevalue |
void NXOpen::Tooling::FormingInsertBuilder::SetBlankPosition | ( | NXOpen::Tooling::FormingInsertBuilder::BlankPositions | blankPosition | ) |
Sets the blank position in punch plate or stripper plate.
Created in NX7.5.0.
License requirements : None
blankPosition | blankposition |
void NXOpen::Tooling::FormingInsertBuilder::SetBlankType | ( | NXOpen::Tooling::FormingInsertBuilder::BlankTypes | blankType | ) |
Sets the blank type for punch or die.
Created in NX7.5.0.
License requirements : None
blankType | blanktype |
void NXOpen::Tooling::FormingInsertBuilder::SetBottomPlateClearance | ( | double | bottomPlateClr | ) |
Sets the clearance value of bottom backing plate .
Created in NX7.5.0.
License requirements : None
bottomPlateClr | bottomplateclr |
void NXOpen::Tooling::FormingInsertBuilder::SetDesignOption | ( | NXOpen::Tooling::FormingInsertBuilder::DesignOptions | designOption | ) |
Sets the design option to design punch or die.
Created in NX7.5.0.
License requirements : None
designOption | designoption |
void NXOpen::Tooling::FormingInsertBuilder::SetDiePlateClearance | ( | double | diePlateClr | ) |
Sets the clearance value of die plate.
Created in NX7.5.0.
License requirements : None
diePlateClr | dieplateclr |
void NXOpen::Tooling::FormingInsertBuilder::SetParentPart | ( | NXOpen::Tooling::FormingInsertBuilder::ParentTypes | parentPart | ) |
Sets the parent part to create blank.
Created in NX7.5.0.
License requirements : None
parentPart | parentpart |
void NXOpen::Tooling::FormingInsertBuilder::SetParentPartName | ( | const NXString & | parentPart | ) |
Sets the parent part name to create blank.
Created in NX7.5.0.
License requirements : None
parentPart | Specifies the parent part name |
void NXOpen::Tooling::FormingInsertBuilder::SetParentPartName | ( | const char * | parentPart | ) |
Sets the parent part name to create blank.
Created in NX7.5.0.
License requirements : None
parentPart | Specifies the parent part name |
void NXOpen::Tooling::FormingInsertBuilder::SetPunchPlateClearance | ( | double | punchPlateClr | ) |
Sets the clearance value of punch plate .
Created in NX7.5.0.
License requirements : None
punchPlateClr | punchplateclr |
void NXOpen::Tooling::FormingInsertBuilder::SetRenameComponent | ( | bool | renameComponent | ) |
Sets the option whether rename component.
Created in NX8.5.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
renameComponent | renamecomponent |
void NXOpen::Tooling::FormingInsertBuilder::SetReverseDirection | ( | bool | reverseDirection | ) |
Sets the option to reverse trim direction.
Created in NX7.5.0.
License requirements : None
reverseDirection | reversedirection |
void NXOpen::Tooling::FormingInsertBuilder::SetSameWithPlate | ( | bool | sameWithPlate | ) |
Sets the punch same with plate
Created in NX7.5.0.
License requirements : None
sameWithPlate | samewithplate |
void NXOpen::Tooling::FormingInsertBuilder::SetStripperPlateClearance | ( | double | stripperPlateClr | ) |
Sets the option to use the stripper plate clearance.
Created in NX7.5.0.
License requirements : None
stripperPlateClr | stripperplateclr |
void NXOpen::Tooling::FormingInsertBuilder::SetTangentEdgeAngle | ( | bool | tangentEdgeAngle | ) |
Sets the tangent edge angle of forming region.
Created in NX7.5.0.
License requirements : None
tangentEdgeAngle | tangentedgeangle |
void NXOpen::Tooling::FormingInsertBuilder::SetTraverseInteriorEdges | ( | bool | traverseInteriorEdges | ) |
Sets the indication to traverse interior edges of forming region.
Created in NX7.5.0.
License requirements : None
traverseInteriorEdges | traverseinterioredges |
void NXOpen::Tooling::FormingInsertBuilder::SetUseBottomPlateClearance | ( | bool | useBPClearance | ) |
Sets the option to use bottom backing plate clearance.
Created in NX7.5.0.
License requirements : None
useBPClearance | usebpclearance |
void NXOpen::Tooling::FormingInsertBuilder::SetUseDiePlateClearance | ( | bool | useDPClearance | ) |
Sets the option to use die plate clearance.
Created in NX7.5.0.
License requirements : None
useDPClearance | usedpclearance |
void NXOpen::Tooling::FormingInsertBuilder::SetUsePunchPlateClearance | ( | bool | usePPClearance | ) |
Sets the option to use punch plate clearance.
Created in NX7.5.0.
License requirements : None
usePPClearance | useppclearance |
void NXOpen::Tooling::FormingInsertBuilder::SetUseStripperPlateClearance | ( | bool | useSPClearance | ) |
Sets the option to use stripper plate clearance.
Created in NX7.5.0.
License requirements : None
useSPClearance | usespclearance |
double NXOpen::Tooling::FormingInsertBuilder::StripperPlateClearance | ( | ) |
Returns the option to use the stripper plate clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::TangentEdgeAngle | ( | ) |
Returns the tangent edge angle of forming region.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::TraverseInteriorEdges | ( | ) |
Returns the indication to traverse interior edges of forming region.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::UseBottomPlateClearance | ( | ) |
Returns the option to use bottom backing plate clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::UseDiePlateClearance | ( | ) |
Returns the option to use die plate clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::UsePunchPlateClearance | ( | ) |
Returns the option to use punch plate clearance.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Tooling::FormingInsertBuilder::UseStripperPlateClearance | ( | ) |
Returns the option to use stripper plate clearance.
Created in NX7.5.0.
License requirements : None